package Rumba;

import negotiator.Bid;

public class EvaluatedBid implements Comparable<EvaluatedBid> {
	private Bid bid;
	private double utility;
	
	public EvaluatedBid(Bid bid, double utility)
	{
		this.bid = bid;
		this.utility = utility;
	}

	public Bid getBid() {
		return bid;
	}

	public double getUtility() {
		return utility;
	}

	public int compareTo(EvaluatedBid bid) {
		if (this.utility < bid.utility) {
			return -1;
		}
		else if (this.utility == bid.utility) {
			return 0;
		}
		else {
			return 1;
		}
	}
}
